#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Form
Summary:	HTML::Form - Class that represents an HTML form element
Summary(pl.UTF-8):	HTML::Form - klasa reprezentująca formularz HTML
Name:		perl-HTML-Form
Version:	6.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5348fbdee5ec572e21c1579d4eb183d3
URL:		https://metacpan.org/release/HTML-Form
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Encode >= 2
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTTP-Message >= 6
BuildRequires:	perl-URI >= 1.10
%endif
Requires:	perl-Encode >= 2
Requires:	perl-HTML-Parser
Requires:	perl-URI >= 1.10
Conflicts:	perl-libwww < 6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Objects of the HTML::Form class represents a single HTML
<form>...</form> instance. A form consists of a sequence of inputs
that usually have names, and which can take on various values. The
state of a form can be tweaked and it can then be asked to provide
HTTP::Request objects that can be passed to the request() method of
LWP::UserAgent.

%description -l pl.UTF-8
Obiekt klasy HTML::Form reprezentuje pojedynczą instancję formularza
HTML (<form>...</form>). Formularz składa się z ciągu pól
wprowadzania, zwykle mających swoje nazwy i mogących przyjmować
różne wartości. Stan formularza może być zmieniany i po przekazaniu
obiektów HTTP::Request może być przekazany do metody request()
klasy LWP::UserAgent.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/HTML/Form.pm
%{perl_vendorlib}/HTML/Form
%{_mandir}/man3/HTML::Form*.3pm*
%changelog
* Thu Mar 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Form.git;a=log;h=master

* Wed Mar 01 2023 Jan Palus <atler@pld-linux.org> 91f371b
- up to 6.11

* Wed Aug 24 2022 Jan Palus <atler@pld-linux.org> 0a0ae8b
- up to 6.10

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> cb37186
- up to 6.09

* Mon Aug 15 2022 Jan Palus <atler@pld-linux.org> bee0039
- up to 6.08

* Fri Feb 26 2021 Jakub Bogusz <qboosh@pld-linux.org> f603004
- updated URL
- macros version for perl macros always included

* Mon Feb 24 2020 Jan Palus <atler@pld-linux.org> 736cf1b
- up to 6.07

* Thu Feb 20 2020 Jan Palus <atler@pld-linux.org> c709066
- up to 6.06

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b4d75a2
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Oct 05 2019 Jan Palus <atler@pld-linux.org> f2899f2
- up to 6.05

* Fri Mar 29 2019 Jan Palus <atler@pld-linux.org> 5fdb561
- up to 6.04

* Sun Sep 09 2018 Jan Palus <atler@pld-linux.org> 7db6630
- up to 6.03

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 28d1446
- versioned Requires + perl-HTML-Parser not detected by perlreq

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> fae8262
- don't package README (just a copy of man page)

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> d5c8be9
- new

